<form [formGroup]="form" novalidate>
  <div *ngIf="isShown">
    <!-- Order Information -->
    <mat-accordion>
      <mat-expansion-panel [expanded]="false" class="mb-2" formGroupName="order">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Order Information</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order Action:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="orderAction">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">FTN:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="ftn">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order Type Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="orderTypeCode">
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order SubType Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="orderSubTypeCode">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Product Type Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="productTypeCode">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Parent FTN:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="parentFtn">
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Related FTN:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="relatedFtn">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Telecom Service Priority Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="telecomServicePriority">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Carrier Partner Wholesale Type:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="carrierPartnerWholesaleType">
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Commit Date:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerCommitDate">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Want Date:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerWantDate">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Order Submit Date:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerOrderSubmitDate">
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Signed Date:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerSignedDate">
            </div>
            <!--<label class="col-form-label col col-lg-4 pr-1 text-right">Order Submit Date:</label>
          <div class="col col-lg-4 pl-0 pl-lg-1">
            <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="orderSubmitDate">
          </div>-->
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Premise Currently Occupied Flag:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerPremiseCurrentlyOccupiedFlag">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Will Customer Accept Service Early Flag:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="willCustomerAcceptServiceEarlyFlag">
            </div>
          </div>
          <!--<div class="form-group form-group-sm row col-24">


          <label class="col-form-label col col-lg-4 pr-1 text-right">Multiple Order Index:</label>
          <div class="col col-lg-4 pl-0 pl-lg-1">
            <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="multipleOrderIndex">
          </div>
        </div>-->
          <div class="form-group form-group-sm row col-24">
            <!--<label class="col-form-label col col-lg-4 pr-1 text-right">Multiple Order Total:</label>
          <div class="col col-lg-4 pl-0 pl-lg-1">
            <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="multipleOrderTotal">
          </div>-->
            <label class="col-form-label col col-lg-4 pr-1 text-right">Multiple Order Flag:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="multipleOrderFlag">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Escalated Flag:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="escalatedFlag">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Expedite Type Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="expediteTypeCode">
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Govt Type Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="govtTypeCode">
            </div>
            <!--<label class="col-form-label col col-lg-4 pr-1 text-right">Vendor VPN Code:</label>
          <div class="col col-lg-4 pl-0 pl-lg-1">
            <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="vendorVpnCode">
          </div>-->
            <label class="col-form-label col col-lg-4 pr-1 text-right">PreQual Number:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="prequalNo">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">SCA Number:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="scaNumber">
            </div>
          </div>
          <!--<div class="form-group form-group-sm row col-24">

        </div>-->
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!-- Install Information -->
    <mat-accordion #installInfo>
      <mat-expansion-panel [expanded]="isCollapsed" class="mb-2" formGroupName="install">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Install Information</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div formGroupName="transport" #transport>
          <h6>Transport</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Access Type Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="accessTypeCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Access Arrangement Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="accessArrangementCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Encapsulation Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="encapsulationCode">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Fiber Handoff Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="fiberHandoffCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Carrier Access Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="carrierAccessCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Circuit ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="circuitId">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Service Term:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="serviceTerm">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Quote Expiration Date:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="quoteExpirationDate">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Private Line Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="privateLineNo">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Access Bandwidth:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="accessBandwidth">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">M5 Access Status:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="m5AccessStatus">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Class of Service:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="classOfService">
              </div>
            </div>
          </div>
        </div>
        <div>
          <h6>Port</h6>
          <dx-data-grid class="mb-2" [dataSource]="installPortList"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                        [showBorders]="true" [columnAutoWidth]="true">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

            <dxi-column dataField="mdsDes" caption="MDS Desc" dataType="string"></dxi-column>
            <dxi-column dataField="m5PortStatus" caption="M5 Port Status" dataType="string"></dxi-column>
            <dxi-column dataField="ttrptSpdOfSrvcBdwdDes" caption="Speed Service" dataType="string"></dxi-column>
            <dxi-column dataField="tportEthAccsTypeCd" caption="Ethernet Access Type" dataType="string"></dxi-column>
            <dxi-column dataField="spaAccsIndcrDes" caption="SPAE Access Indicator" dataType="string"></dxi-column>
            <dxi-column dataField="tportVndrQuoteId" caption="Vendor Quote" dataType="string"></dxi-column>
            <dxi-column dataField="tportEthrntNrfcIndcr" caption="Ethernet Interface Indicator" dataType="string"></dxi-column>
            <dxi-column dataField="tportCnctrTypeId" caption="Connector Type Code" dataType="string"></dxi-column>
            <dxi-column dataField="custRoutrTagTxt" caption="Connector Router Tagging" dataType="string"></dxi-column>
            <dxi-column dataField="custRoutrAutoNegotCd" caption="Customer Router Auto Negotiation" dataType="string"></dxi-column>
            <dxi-column dataField="ipVerTypeCd" caption="IP Version Type Code" dataType="string"></dxi-column>
            <dxi-column dataField="ipv4AdrPrvdrCd" caption="IPv4 Address Provider Code" dataType="string"></dxi-column>
            <dxi-column dataField="ipv4AdrQty" caption="IPv4 Address Quantity" dataType="string"></dxi-column>
            <dxi-column dataField="ipv6AdrPrvdrCd" caption="IPv6 Address Provider Code" dataType="string"></dxi-column>
            <dxi-column dataField="ipv6AdrQty" caption="IPv6 Address Quantity" dataType="string"></dxi-column>
            <dxi-column dataField="vlanQty" caption="VLAN Quantity" dataType="string"></dxi-column>
            <dxi-column dataField="diaNocToNocTxt" caption="DIA - NOC to NOC" dataType="string"></dxi-column>
            <dxi-column dataField="projDes" caption="Project" dataType="string"></dxi-column>
          </dx-data-grid>
        </div>
        <div #vlan>
          <h6>VLANs</h6>
          <dx-data-grid class="mb-2" [dataSource]="installVlanList"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                        [showBorders]="true" [columnAutoWidth]="true">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

            <dxi-column dataField="vlanId" caption="VLAN ID" dataType="string"></dxi-column>
            <dxi-column dataField="vlanPctQty" caption="Allocated Percentage" dataType="string"></dxi-column>
          </dx-data-grid>
        </div>
        <div formGroupName="cpeInstallationInformation">
          <h6>CPE Installation Information</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">CPE Order Type Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cpeOrderTypeCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Equipment Only Flag Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="equipmentOnlyFlagCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Access Provide Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="accessProvideCode">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumberType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">ECCKT Identifier:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="eccktIdentifier">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Managed Services Channel Program Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="managedServicesChannelProgramCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Delivery Duties:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="deliveryDuties">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Delivery Duty Amount:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="deliveryDutyAmount">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Shipping Charge Amount:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="shippingChargeAmount">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Record Only:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="recordOnly">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">NUA/CKT:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="nuaOrCkt">
              </div>
            </div>
          </div>
        </div>
        <div>
          <h6>CPE Line Items</h6>
          <dx-data-grid class="mb-2" [dataSource]="cpeLineItemList"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                        [showBorders]="true" [columnAutoWidth]="true">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
            <dxi-column dataField="eqptTypeId" caption="Equipment Type Code" dataType="string"></dxi-column>
            <dxi-column dataField="eqptId" caption="Equipment ID" dataType="string"></dxi-column>
            <dxi-column dataField="manfPartCd" caption="Manufacture Part Code" dataType="string"></dxi-column>
            <dxi-column dataField="mdsDes" caption="Description" dataType="string"></dxi-column>
            <dxi-column dataField="mfrNme" caption="Manufacturer" dataType="string"></dxi-column>
            <dxi-column dataField="ordrQty" caption="Quantity" dataType="string"></dxi-column>
            <!--<dxi-column dataField="lineItemQty" caption="Quantity" dataType="string"></dxi-column>-->
            <dxi-column dataField="cntrcTypeId" caption="Contract Type" dataType="string"></dxi-column>
            <dxi-column dataField="cntrcTermId" caption="Contract Term" dataType="string"></dxi-column>
            <dxi-column dataField="mntcCd" caption="Maintenance Flag Code" dataType="string"></dxi-column>
            <dxi-column dataField="mrcChgAmt" caption="MRC Amount" dataType="string"></dxi-column>
            <dxi-column dataField="nrcChgAmt" caption="NRC Amount" dataType="string"></dxi-column>
            <dxi-column dataField="plsftRqstnNbr" caption="PeopleSoft Requisition #" dataType="string"></dxi-column>
            <dxi-column dataField="rqstnDt" caption="Requisition Date" dataType="date" cellTemplate="dateTimeTemplate"></dxi-column>
            <dxi-column dataField="prchOrdrNbr" caption="Purchase Order #" dataType="string"></dxi-column>
            <dxi-column dataField="eqptItmRcvdDt" caption="Equipment Item Receive Date" dataType="date" cellTemplate="dateTimeTemplate"></dxi-column>
            <dxi-column dataField="matlCd" caption="Material Code" dataType="string"></dxi-column>
            <dxi-column dataField="unitMsr" caption="Unit Measure" dataType="string"></dxi-column>
            <dxi-column dataField="vndrCd" caption="Vendor Code" dataType="string"></dxi-column>
            <dxi-column dataField="ordrQty" caption="Order Quantity" dataType="string"></dxi-column>
            <dxi-column dataField="unitPrice" caption="Unit Price" dataType="string"></dxi-column>
            <dxi-column dataField="manfDiscntCd" caption="Manufacturer Discount Code" dataType="string"></dxi-column>
            <dxi-column dataField="eqptRcvdByAdid" caption="Equipment Received By" dataType="string"></dxi-column>
            <dxi-column dataField="cmplDt" caption="Completed Date" dataType="date" cellTemplate="dateTimeTemplate"></dxi-column>
            <dxi-column dataField="poLnNbr" caption="Purchase Order Line Number" dataType="string"></dxi-column>
            <dxi-column dataField="rcvdQty" caption="Received Quantity" dataType="string"></dxi-column>
            <dxi-column dataField="psRcvdStus" caption="PeopleSoft Received Status" dataType="string"></dxi-column>
            <dxi-column dataField="dropShp" caption="Drop Ship" dataType="string"></dxi-column>
            <dxi-column dataField="deviceId" caption="Device ID" dataType="string"></dxi-column>
            <dxi-column dataField="cmpntFmly" caption="Component Family" dataType="string"></dxi-column>
            <dxi-column dataField="stusCd" caption="Status Code" dataType="string"></dxi-column>
            <dxi-column dataField="cpeReuseCd" caption="Reuse" dataType="string"></dxi-column>
            <dxi-column dataField="supplier" caption="Supplier" dataType="string"></dxi-column>
            <div *dxTemplate="let cell of 'dateTimeTemplate'">
              <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
              <span class="d-block">{{ cell.text | date: 'hh:mm a' }}</span>
            </div>
          </dx-data-grid>
        </div>
        <div formGroupName="mdsInstallationInformation" #mds>
          <h6>MDS Installation Information</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Solution Service:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="solutionService">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Network Type Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="networkTypeCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Service Tier Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="serviceTierCode">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Transport Order Type Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="transportOrderTypeCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Design Document Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="designDocumentNo">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Vendor Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="vendorCode">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="changeInformation" #change>
          <h6>Change Information</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Change Description</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="changeDescription">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Carrier Service ID</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="carrierServiceId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Carrier Circuit ID</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="carrierCircuitId">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Original Install Order ID</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="originalInstallOrderId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Network User Address</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="networkUserAddress">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Port Rate Type Code</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="portRateTypeCode">
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!-- Disconnect Information -->
    <mat-accordion #disconnectInfo>
      <mat-expansion-panel [expanded]="false" class="mb-2" formGroupName="disconnect">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Disconnect Information</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Disconnect Reason Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="reasonCode">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Disconnect Cancel Before Start Reason Code:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cancelBeforeStartReasonCode">
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Disconnect Cancel Before Start Reason Text:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cancelBeforeStartReasonText">
            </div>
          </div>
        </div>
        <div formGroupName="contact">
          <h6>Disconnect Contact</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="type">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Contact Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="contactType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">First Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="firstName">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Last Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="lastName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="name">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Email Address:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="emailAddress">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cityCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">NPA:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="npa">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">NXX:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="nxx">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Station:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="station">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumber">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Fax Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="faxNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Extension:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="extension">
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!-- Customer Information -->
    <mat-accordion>
      <mat-expansion-panel [expanded]="false" class="mb-2" formGroupName="customer">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Customer Information</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div formGroupName="h1">
          <h6>H1</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Current Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="currentBillingCycleCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Future Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="futureBillingCycleCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Branch Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="branchCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Tax Exemption:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="taxExemption">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">CHARS ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="charsId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Site ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="siteId">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h4">
          <h6>H4</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Current Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="currentBillingCycleCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Future Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="futureBillingCycleCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Tax Exemption:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="taxExemption">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">CHARS ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="charsId">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Site ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="siteId">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h4Address">
          <h6>H4 Billing Address</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 1:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine1">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 2:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine2">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 3:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine3">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Suite:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="suite">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="city">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">State Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="stateCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Zip Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="zipCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Province Municipality:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="provinceMunicipality">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h4Contact">
          <h6>H4 Billing Contact</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="type">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Contact Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="contactType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">First Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="firstName">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Last Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="lastName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="name">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Email Address:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="emailAddress">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cityCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">NPA:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="npa">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">NXX:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="nxx">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Station:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="station">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumber">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Fax Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="faxNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Extension:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="extension">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h6">
          <h6>H6</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Future Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="futureBillingCycleCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Current Billing Cycle Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="currentBillingCycleCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="customerName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Branch Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="branchCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Tax Exemption:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="taxExemption">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Site ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="siteId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">CHARS ID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="charsId">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Service Sub Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="serviceSubType">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">CLLID Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cllidCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Suite:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="suite">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 1:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine1">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 2:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine2">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 3:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine3">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">City:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="city">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cityCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">State Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="stateCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Zip Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="zipCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Province Municipality:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="provinceMunicipality">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Building name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="buildingName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Floor:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="floor">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Room Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="roomNumber">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">NPA:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="npa">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">NXX:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="nxx">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Station:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="station">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Fax Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="faxNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Extension:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="extension">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Sales Office ID Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="salesOfficeIdCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Sales Person Primary CID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="salesPersonPrimaryCid">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Sales Person Secondary CID:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="salesPersonSecondaryCid">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h6Address">
          <h6>H6 Contact Address</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 1:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine1">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 2:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine2">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Address Line 3:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="addressLine3">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Suite:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="suite">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="city">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">State Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="stateCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Zip Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="zipCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Province Municipality:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="provinceMunicipality">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Building name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="buildingName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Floor:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="floor">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Room Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="roomNumber">
              </div>
            </div>
          </div>
        </div>
        <div formGroupName="h6Contact">
          <h6>H6 Contact</h6>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="type">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Contact Type:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="contactType">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">First Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="firstName">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Last Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="lastName">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Name:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="name">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Email Address:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="emailAddress">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Country Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="countryCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">City Code:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="cityCode">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">NPA:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="npa">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">NXX:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="nxx">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Station:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="station">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Phone Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="phoneNumber">
              </div>
            </div>
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col col-lg-4 pr-1 text-right">Fax Number:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="faxNumber">
              </div>
              <label class="col-form-label col col-lg-4 pr-1 text-right">Extension:</label>
              <div class="col col-lg-4 pl-0 pl-lg-1">
                <input [readonly]="true" type="text" class="form-control form-control-sm" formControlName="extension">
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!-- Order Contacts -->
    <mat-accordion>
      <mat-expansion-panel [expanded]="false" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Order Contacts</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid [dataSource]="orderContactList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
          <!--<dxi-column dataField="cisLvlType" caption="CIS Level Type" dataType="string"></dxi-column>-->
          <dxi-column dataField="roleNme" caption="Role" dataType="string"></dxi-column>
          <dxi-column dataField="cntctTypeDes" caption="Contact Type" dataType="string"></dxi-column>
          <dxi-column dataField="frstNme" caption="First Name" dataType="string"></dxi-column>
          <dxi-column dataField="lstNme" caption="Last Name" dataType="string"></dxi-column>
          <dxi-column dataField="cntctNme" caption="Name" dataType="string"></dxi-column>
          <dxi-column dataField="emailAdr" caption="Email" dataType="string"></dxi-column>
          <dxi-column dataField="isdCd" caption="Country Code" dataType="string"></dxi-column>
          <dxi-column dataField="ctyCd" caption="City Code" dataType="string"></dxi-column>
          <dxi-column dataField="npa" caption="NPA" dataType="string"></dxi-column>
          <dxi-column dataField="nxx" caption="NXX" dataType="string"></dxi-column>
          <dxi-column dataField="stnNbr" caption="Station" dataType="string"></dxi-column>
          <dxi-column dataField="phnNbr" caption="Phone Number" dataType="string"></dxi-column>
          <dxi-column dataField="faxNbr" caption="Fax Number" dataType="string"></dxi-column>
          <dxi-column dataField="phnExtNbr" caption="Extension" dataType="string"></dxi-column>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>

    <!-- Account Team -->
    <mat-accordion>
      <mat-expansion-panel [expanded]="false" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Account Team</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid [dataSource]="accountTeamList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
          <dxi-column dataField="cisLvlType" caption="CIS Level Type" dataType="string"></dxi-column>
          <dxi-column dataField="roleNme" caption="Role" dataType="string"></dxi-column>
          <dxi-column dataField="cntctTypeDes" caption="Contact Type" dataType="string"></dxi-column>
          <dxi-column dataField="frstNme" caption="First Name" dataType="string"></dxi-column>
          <dxi-column dataField="lstNme" caption="Last Name" dataType="string"></dxi-column>
          <dxi-column dataField="cntctNme" caption="Name" dataType="string"></dxi-column>
          <dxi-column dataField="emailAdr" caption="Email" dataType="string"></dxi-column>
          <dxi-column dataField="isdCd" caption="Country Code" dataType="string"></dxi-column>
          <dxi-column dataField="ctyCd" caption="City Code" dataType="string"></dxi-column>
          <dxi-column dataField="npa" caption="NPA" dataType="string"></dxi-column>
          <dxi-column dataField="nxx" caption="NXX" dataType="string"></dxi-column>
          <dxi-column dataField="stnNbr" caption="Station" dataType="string"></dxi-column>
          <dxi-column dataField="phnNbr" caption="Phone Number" dataType="string"></dxi-column>
          <dxi-column dataField="faxNbr" caption="Fax Number" dataType="string"></dxi-column>
          <dxi-column dataField="phnExtNbr" caption="Extension" dataType="string"></dxi-column>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</form>
